# F2F Multi-use Listings These endpoints are no longer supported. We do not recommend using these endpoints. ## Create a new multi-use, face-to-face listing for the logged-in user (deprecated) - [POST /p2p/me/multi_use_listings/create](https://docs.trustap.com/apis/openapi/f2f-multi-use-listings/createp2pmultiuselistingwithdetails.md): Multi-use listings can be used to create transactions. Offline access is allowed for this endpoint when the user has granted the p2p_ls:offline_create scope to the client that is performing the request. ## Delete this listing (deprecated) - [DELETE /p2p/multi_use_listings/{listingId}](https://docs.trustap.com/apis/openapi/f2f-multi-use-listings/deletep2pmultiuselisting.md) ## Get a listing by its ID (deprecated) - [GET /p2p/multi_use_listings/{listingId}](https://docs.trustap.com/apis/openapi/f2f-multi-use-listings/getp2pmultiuselisting.md) ## Patch listing properties (deprecated) - [PATCH /p2p/multi_use_listings/{listingId}](https://docs.trustap.com/apis/openapi/f2f-multi-use-listings/patchp2pmultiuselisting.md) ## Create a transaction from this listing (deprecated) - [POST /p2p/multi_use_listings/{listingId}/create_transaction](https://docs.trustap.com/apis/openapi/f2f-multi-use-listings/createtransactionfromp2pmultiuselisting.md): Calling /create_transaction with no parameters will create a new transaction with the details provided by the listing. The optional quantity parameter can be passed to create a transaction for a multiple of the original listing. In this case, the price and charge for the new transaction will also need to be passed. As an example, consider a listing for a chair with a price of 1234 EUR. If a user wants to buy 10 of these in a single transaction then the charge for the total can be retrieved using GET /p2p/charge?price=1234¤cy=usd&quantity=10 (note the addition of the optional quantity parameter at the end). This will return a price of 12340 and an associated charge. These new values must then be passed to /create_transaction with quantity=10, which will create a new transaction with the new pricing information. The new transaction will also include a quantity field, which doesn't have a functional effect on the transaction, but is included for informational purposes. Note that this functionality is not available for single-use listings, from which only singular transactions may be created. Offline access is allowed for this endpoint when the user has granted the p2p_tx:offline_create_join scope to the client that is performing the request. ## Disable this listing (deprecated) - [POST /p2p/multi_use_listings/{listingId}/disable](https://docs.trustap.com/apis/openapi/f2f-multi-use-listings/disablep2pmultiuselisting.md): Calling /create_transaction on a disabled listing will return a 400 response. Offline access is allowed for this endpoint when the user has granted the p2p_ls:offline_update scope to the client that is performing the request. ## Enable this listing (deprecated) - [POST /p2p/multi_use_listings/{listingId}/enable](https://docs.trustap.com/apis/openapi/f2f-multi-use-listings/enablep2pmultiuselisting.md): Offline access is allowed for this endpoint when the user has granted the p2p_ls:offline_update scope to the client that is performing the request. ## Set pricing for this listing (deprecated) - [POST /p2p/multi_use_listings/{listingId}/set_deposit_pricing](https://docs.trustap.com/apis/openapi/f2f-multi-use-listings/setp2pmultiuselistingpricing.md): Offline access is allowed for this endpoint when the user has granted the p2p_ls:offline_update scope to the client that is performing the request. ## Set the description for this listing (deprecated) - [POST /p2p/multi_use_listings/{listingId}/set_description](https://docs.trustap.com/apis/openapi/f2f-multi-use-listings/setp2pmultiuselistingdescription.md): Offline access is allowed for this endpoint when the user has granted the p2p_ls:offline_update scope to the client that is performing the request. ## Set skip remainder for this listing (deprecated) - [POST /p2p/multi_use_listings/{listingId}/set_skip_remainder](https://docs.trustap.com/apis/openapi/f2f-multi-use-listings/setp2pmultiuselistingskipremainder.md): Offline access is allowed for this endpoint when the user has granted the p2p_ls:offline_update scope to the client that is performing the request.